
      use mpi

      integer                            :: ierr, size, rank, namelen
      character*(35)  :: cpuname

      call MPI_Init(ierr)

      call MPI_Comm_size(MPI_COMM_WORLD, size, ierr)
      call MPI_Comm_rank(MPI_COMM_WORLD, rank, ierr)

      call MPI_Get_processor_name(cpuname, namelen, ierr)
      if (rank == 0) then
         write(6,*) 'namelen = ', namelen
      endif

      write(6,*) 'rank ', rank, ' of ', size, ' on processor ', cpuname

      call MPI_Finalize(ierr)

      stop
      end
